Uploaded image for project: 'OpenMRS Core'
  1. OpenMRS Core
  2. TRUNK-5264

Add HAPI libraries for HL7 v2.3 and v2.4 support

    XMLWordPrintable

    Details

    • Complexity:
      Undetermined

      Description

       

      Our pacs integration module uses the HAPI library for works with HL7 v2.3.

      We are upgrading from platform 1.10.x to 1.11.x and as part of the upgrade it looks like the version of the HAPI library included with the platform is upgraded, but only the associated libraries for HL7 v2.5 and v2.6 are included. 

      We want to include the HAPI artifacts for v2.3 and v2.4 as well.  Assumedly this should be non-intrusive.

      Relevant section of pom found here:

      https://github.com/openmrs/openmrs-core/blob/master/pom.xml#L334

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mogoodrich Mark Goodrich
              Reporter:
              mogoodrich Mark Goodrich
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: